% displayMagnitude - displays tmagnitude data for the provided array
%
% Marquette University,   Milwaukee, WI  USA
% Copyright 2009 - All rights reserved.
%
% Author: Jason Darby  02-Nov-2009 
%
% @param raw_frams array containing the raw data to be displayed
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function displayMagnitude(raw_frames, plotString, logMagnitude)
    num_frames = size(raw_frames,3);
    for i=1:num_frames
        figure;
        if (logMagnitude == 1)
            myImage = log(abs(raw_frames(:,:,i)));
        else
            myImage = abs(raw_frames(:,:,i));
        end
        % Rotate image by 180 degrees clockwise
        myImage = imrotate( myImage, -180.0);
        imagesc(myImage);
        colormap('gray');
        title(sprintf('%s, receiver %d', plotString, i));
    end
end