% displayPhase - Displays the phase data for the provided array
%
% Marquette University,   Milwaukee, WI  USA
% Copyright 2009 - All rights reserved.
%
% Author: Josh Marso   02-Nov-2009
%  
%
% @param raw_frams array containing the raw data to be displayed
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function displayPhase(raw_frames, plotString)
    num_frames = size(raw_frames,3);
    
    for i=1:num_frames
        figure;
        myImage = angle(raw_frames(:,:,i));
        myImage = imrotate(myImage, -180.0);  % Rotate clockwise 180 degrees
        imagesc(myImage);
        colormap('gray');
        title(sprintf('%s, receiver %d', plotString, i));
    end
end